<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.elab.core</groupId>
        <artifactId>elab-parent</artifactId>
        <version>2.0.5.3-SNAPSHOT</version>
    </parent>

    <groupId>com.elab.log</groupId>
    <artifactId>elab-log</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.elab.core</groupId>
            <artifactId>elab-core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.jay.monitor.data</groupId>
            <artifactId>jay-monitor-data-client</artifactId>
        </dependency>
        <dependency>
            <groupId>com.elab.core</groupId>
            <artifactId>elab-annotation</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.dianping.cat</groupId>
            <artifactId>cat-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-webmvc</artifactId>
        </dependency>
        <!-- 最终执行的日志jar -->
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
            <version>1.2.3</version>
            <!--<scope>provided</scope>-->
        </dependency>

        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-log4j12 -->
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <scope>provided</scope>
        </dependency>
        <!--<dependency>-->
        <!--<groupId>org.springframework.cloud</groupId>-->
        <!--<artifactId>spring-cloud-redisson-feign</artifactId>-->
        <!--<version>1.4.4.RELEASE</version>-->
        <!--<scope>provided</scope>-->
        <!--</dependency>-->
        <!--<dependency>-->
        <!--<groupId>com.netflix.hystrix</groupId>-->
        <!--<artifactId>hystrix-core</artifactId>-->
        <!--<version>1.5.12</version>-->
        <!--<scope>provided</scope>-->
        <!--</dependency>-->
        <!--<dependency>-->
        <!--<groupId>com.elab.cloud</groupId>-->
        <!--<artifactId>elab-cloud-commons</artifactId>-->
        <!--<version>1.0.0</version>-->
        <!--<scope>provided</scope>-->
        <!--</dependency>-->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <!-- 打包源码插件 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <!-- 打包javadoc插件 -->
            <!--<plugin>-->
            <!--<groupId>org.apache.maven.plugins</groupId>-->
            <!--<artifactId>maven-javadoc-plugin</artifactId>-->
            <!--&lt;!&ndash;<version>2.9</version>&ndash;&gt;-->
            <!--<executions>-->
            <!--<execution>-->
            <!--<id>attach-javadocs</id>-->
            <!--<goals>-->
            <!--<goal>jar</goal>-->
            <!--</goals>-->
            <!--<doc>-->
            <!--<additionalparam>-Xdoclint:none</additionalparam>-->
            <!--<charset>UTF-8</charset>-->
            <!--<encoding>UTF-8</encoding>-->
            <!--<docencoding>UTF-8</docencoding>-->
            <!--</doc>-->
            <!--</execution>-->
            <!--</executions>-->
            <!--</plugin>-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <distributionManagement>
        <repository>
            <id>releases</id>
            <name>Nexus Release Repository</name>
            <url>http://192.168.0.11:8081/nexus/content/repositories/elab/</url>
        </repository>
    </distributionManagement>
</project>